{% extends "base.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block title %}All Posts{% endblock %}

{% block page_content %}
{% if current_user.is_authenticated %}
{% if current_user.confirmed %}
<h4>New Post</h4>
{{ wtf.quick_form(form) }}
{% else %}
<div class="alert alert-danger">
	<a href="{{ url_for('main.resend_confirmation') }}">Confirm</a> your account.
</div>
{% endif %}
{% endif %}

<h4>All posts:</h4>
{% for post in posts %}
<p> 
<a href="{{ url_for('.post', id=post.id) }}">{{ post.title }}</a> by <em>{{ post.author.username }}</em>
posted {{ moment(post.timestamp).fromNow() }}
</p>
{% endfor %}
{% endblock %}

